#include <FastLED.h>

#define LED_PIN 6        // Digital pin connected to the Data-In of the LED strip
#define NUM_LEDS 12       // Number of LEDs in your strip
#define BRIGHTNESS 100   // Set the brightness (0-255)

CRGB leds[NUM_LEDS];     // Define the LED array

void setup() {
  FastLED.addLeds<WS2812B, LED_PIN, GRB>(leds, NUM_LEDS);  // Initialize the LED strip
  FastLED.setBrightness(BRIGHTNESS);                       // Set the overall brightness
}

void loop() {
  rainbow();   // Display the rainbow effect
}

void rainbow() {
  static uint8_t hue = 0;

  // Fill the LEDs with a rainbow of colors
  for (int i = 0; i < NUM_LEDS; i++) {
    leds[i] = CHSV(hue + (i * 255 / NUM_LEDS), 255, 255);
  }

  FastLED.show();  // Update the LEDs with the new colors
  FastLED.delay(30); // Optional delay to control the speed of the rainbow effect

  hue++;  // Increment the hue value to create a moving rainbow effect
}
